last_settlement, last_settlement_timestamp, mark_price) are null when the position has not been settled in the last 2 minutes, e.g. for a newly opened position.400 UNEXPECTED_PARAMETERS.curl --location 'https://api.onetrading.com/fast/v1/account/futures/positions?instrument_code=BTC_USD_P' \
--header 'Authorization: Bearer <token>'{
"positions": [
{
"instrument_code": "BTC_USD_P",
"direction": "LONG",
"open_volume": "0.00186",
"open_position": "149.2689804",
"last_settlement": "0.0461466",
"mark_price": "80252.14",
"realised_pnl": "-0.496713",
"settlement_currency": "USD",
"last_settlement_timestamp": "2026-01-27T15:50:00.000Z",
"type": "DATED_FUTURE",
"contract_expiry_date": "2031-04-20",
"contract_duration": "5Y"
}
]
}